## apt-listbugs 0.1.6

=== Makefile ===
LINGUAS := $(shell cd po; ls *.po| cut -d'.' -f1)
MOFILES := $(patsubst %.po,%.mo,$(wildcard po/*.po))

all: apt-listbugs.1 $(MOFILES)

clean:
	find -name '*~' | xargs rm -f -- 
	rm -f tests/log/tmp
	rm -f apt-listbugs.1
	rm -f $(MOFILES)

check:
	./test_logic.rb

apt-listbugs.1: apt-listbugs
	rd2 -r rd/rd2man-lib.rb -o apt-listbugs apt-listbugs

update-po:
	xgettext --add-comments=TRANSLATORS --language=python apt-listbugs lib/apt-listbugs/logic.rb -o po/apt-listbugs.pot
	for po in $(LINGUAS); do \
	  msgmerge -U po/$$po.po po/apt-listbugs.pot; \
	done
	for po in $(LINGUAS); do \
	  echo -n $$po ": "; \
	  msgfmt -v po/$$po.po -o /dev/null; \
	done

install:
	# Add here commands to install the package into debian/apt-listbugs.
	for mo in $(MOFILES); do \
	  install -d $(DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES; \
	  install -m644 $$mo $(DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES/apt-listbugs.mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

.PHONY: update-po real-check clean all install

=== debian/changelog ===
apt-listbugs (0.1.6) unstable; urgency=low

  * modified shebangs in order to force the use of ruby1.8, until the package
    supports ruby1.9.x
  * fixed "Depends on a few of transitional packages", trying to be as
    backport-friendly as possible (Closes: #639972)
  * moved the first test suite to Make check target, disabled the second
    test suite (which is outdated), changed build-dependencies accordingly
  * fixed the first test suite so that it actually works
  * changed the Pin-Priority used to prevent the installation of any version
    of a package from -40 to -30000, in order to work better with Cupt
  * modified the querybts invocation to force the text interface,
    when querying a given bug report (apt-listbugs should be able to
    work without access to any X display)
  * updated README.Debian file: added an explanation of why apt-listbugs
    currently ignores the "affects" BTS field
  * added more assertions to the first test suite
  * enhanced the (theoretical) correctness of the code to check whether a
    bug is present in a package version
  * enhanced robustness: if an ignore_bugs file is not readable, do not exit
    with error, issue a warning instead, and go on without taking that file
    into account

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 25 Dec 2011 17:56:13 +0100

=== debian/control ===
Source: apt-listbugs
Section: admin
Priority: optional
Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: ruby1.8, rdtool, gettext, libdpkg-ruby1.8 (>= 0.3.3), libgettext-ruby1.8 (>= 2.1.0)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/apt-listbugs/apt-listbugs.git
Vcs-Browser: http://git.debian.org/?p=apt-listbugs/apt-listbugs.git

Package: apt-listbugs
Architecture: all
Depends: ${misc:Depends}, ruby1.8 (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8 (>= 0.3.3), apt, libzlib-ruby1.8, libgettext-ruby1.8 (>= 2.1.0), ruby-xmlparser, ruby-httpclient (>= 2.1.5.2-1)
Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
Description: tool which lists critical bugs before each apt installation
 apt-listbugs is a tool which retrieves bug reports from the Debian Bug 
 Tracking System and lists them. Especially, it is intended to be invoked 
 before each upgrade/installation by apt in order to check whether the 
 upgrade/installation is safe. 
 .
 Many developers and users prefer the unstable version of Debian for its new 
 features and packages.  apt, the usual upgrade tool, can break your system by 
 installing a buggy package.
 .
 apt-listbugs lists critical bug reports from the Debian Bug Tracking System.
 Run it before apt to see if an upgrade or installation is known to be unsafe.

## apt-listbugs 0.1.8

=== debian/changelog ===
apt-listbugs (0.1.8) unstable; urgency=low

  * improved internationalization
  * fixed ""non-interactive failure mode" message is unclear": clarified
    which README.Debian should be consulted (Closes: #681037)
  * improved English texts, thanks to Justin B Rye!
  * fixed "remove html from translations": thanks to Ryan for starting this
    effort and for storing the initial patch on the BTS! (Closes: #553694)
  * dropped another dependency on a transitional package (libgettext-ruby1.8
    replaced by ruby-gettext)
  * updated Danish translation, thanks to Joe Hansen! (Closes: #684207)
  * updated Portuguese translation, thanks to Miguel Figueiredo!
    (Closes: #684780)
  * added Spanish translation, thanks to Omar Campagne! (Closes: #685294)
  * updated Italian translation, thanks to Luca Monducci! (Closes: #686382)
  * updated Basque translation, thanks to Iñaki Larrañaga Murgoitio!
    (Closes: #686419)
  * updated French translation, thanks to Jean-Baka Domelevo Entfellner!
    (Closes: #686745)
  * updated German translation, thanks to Thomas Müller! (Closes: #686915)
  * clarified the man page, thanks to the significant contribution by
    Justin B Rye

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Wed, 26 Sep 2012 22:39:39 +0200

apt-listbugs (0.1.7) unstable; urgency=low

  * dropped one more dependency on a transitional package (libdpkg-ruby1.8
    replaced by ruby-debian)
  * bumped Standards-Version to 3.9.3: no changes needed
  * fixed "aptitude shows apt-listbugs has no homepage URL in the
    description" by adding a Homepage field to debian/control pointing
    to the alioth project page (Closes: #663143)
  * fixed "Possible weakness in preferences parsing.": aptcleanup is now
    able to handle pinning stanzas which do not reference any bug(s) in their
    explanation fields; such a pinning will be removed by the cron.daily
    job, when the package candidate version is no longer affected
    by any bug of high severity (Closes: #664496)
  * worked around "'W: Failed to invoke browser.' when run under sudo":
    when invoking a browser, do not switch to another user, not even
    when apt-listbugs is run under sudo (Closes: #662865)
  * worked around "When called by aptitude, apt-listbugs crash and precludes
    the package upgrade": default to non-interactive failure mode, if the
    command is "apt" and /dev/tty cannot be opened; explain why in
    README.Debian (Closes: #662983)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 18 May 2012 23:28:44 +0200

## apt-listbugs 0.1.8+deb7u1

=== Makefile ===
LINGUAS := $(shell cd po; ls *.po| cut -d'.' -f1)
MOFILES := $(patsubst %.po,%.mo,$(wildcard po/*.po))
VERSION := $(shell env LC_ALL=C dpkg-parsechangelog | sed -n 's/^Version: //p')

.PHONY: all
all: apt-listbugs.1 $(MOFILES)

.PHONY: clean
clean:
	find -name '*~' | xargs rm -f -- 
	rm -f tests/log/tmp
	rm -f apt-listbugs.1
	rm -f $(MOFILES)

.PHONY: check
check:
	./test_logic.rb

apt-listbugs.1: apt-listbugs
	rd2 -r rd/rd2man-lib.rb -o apt-listbugs apt-listbugs

.PHONY: update-po
update-po: po/apt-listbugs.pot
	for po in $(LINGUAS); do \
	  msgmerge --no-wrap -U po/$$po.po po/apt-listbugs.pot; \
	done
	for po in $(LINGUAS); do \
	  echo -n $$po ": "; \
	  msgfmt -v po/$$po.po -o /dev/null; \
	done

po/apt-listbugs.pot: apt-listbugs lib/apt-listbugs/logic.rb
	xgettext --add-comments=TRANSLATORS --no-wrap \
	         --copyright-holder="Masato Taruishi et al." \
	         --package-name=apt-listbugs --package-version=$(VERSION) \
	         --msgid-bugs-address=$$DEBEMAIL \
	         --language=python \
	         apt-listbugs lib/apt-listbugs/logic.rb \
	         -o po/apt-listbugs.pot

.PHONY: call-for-translation
call-for-translation:
	podebconf-report-po --call --withtranslators \
	                    --conf po/.podebconf-report-po.conf

.PHONY: install
install:
	# Add here commands to install the package into debian/apt-listbugs.
	for mo in $(MOFILES); do \
	  install -d $(DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES; \
	  install -m644 $$mo $(DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES/apt-listbugs.mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

=== debian/changelog ===
apt-listbugs (0.1.8+deb7u1) stable; urgency=low

  * adopted standard Ruby library Tempfile for HTML bug lists too, thus
    dropping the ad-hoc HtmlTempfile (CVE-2013-6049)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Mon, 11 Nov 2013 23:00:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>
 Build-Depends: debhelper (>= 7.0.50)
-Build-Depends-Indep: ruby1.8, rdtool, gettext, libdpkg-ruby1.8 (>= 0.3.3), libgettext-ruby1.8 (>= 2.1.0)
-Standards-Version: 3.9.2
+Build-Depends-Indep: ruby1.8, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 2.1.0)
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/apt-listbugs/apt-listbugs.git
 Vcs-Browser: http://git.debian.org/?p=apt-listbugs/apt-listbugs.git
+Homepage: http://alioth.debian.org/projects/apt-listbugs/
 
 Package: apt-listbugs
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8 (>= 1.8), libruby1.8 (>= 1.8.5), libdpkg-ruby1.8 (>= 0.3.3), apt, libzlib-ruby1.8, libgettext-ruby1.8 (>= 2.1.0), ruby-xmlparser, ruby-httpclient (>= 2.1.5.2-1)
+Depends: ${misc:Depends}, ruby1.8 (>= 1.8), libruby1.8 (>= 1.8.5), ruby-debian (>= 0.3.3), apt, libzlib-ruby1.8, ruby-gettext (>= 2.1.0), ruby-xmlparser, ruby-httpclient (>= 2.1.5.2-1)
 Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
 Description: tool which lists critical bugs before each apt installation
  apt-listbugs is a tool which retrieves bug reports from the Debian Bug

## apt-listbugs 0.1.11

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 .PHONY: clean
 clean:
-	find -name '*~' | xargs rm -f -- 
+	find -name '*~' | xargs rm -f --
 	rm -f tests/log/tmp
 	rm -f apt-listbugs.1
 	rm -f $(MOFILES)
@@ -25,12 +25,12 @@
 	  msgmerge --no-wrap -U po/$$po.po po/apt-listbugs.pot; \
 	done
 	for po in $(LINGUAS); do \
-	  echo -n $$po ": "; \
-	  msgfmt -v po/$$po.po -o /dev/null; \
+	  msgfmt --statistics -v -c po/$$po.po -o /dev/null; \
 	done
 
 po/apt-listbugs.pot: apt-listbugs lib/apt-listbugs/logic.rb
 	xgettext --add-comments=TRANSLATORS --no-wrap \
+	         --from-code=UTF-8 \
 	         --copyright-holder="Masato Taruishi et al." \
 	         --package-name=apt-listbugs --package-version=$(VERSION) \
 	         --msgid-bugs-address=$$DEBEMAIL \
@@ -40,7 +40,7 @@
 
 .PHONY: call-for-translation
 call-for-translation:
-	podebconf-report-po --call --withtranslators \
+	podebconf-report-po --call --withtranslators --gzip \
 	                    --conf po/.podebconf-report-po.conf
 
 .PHONY: install

=== debian/changelog ===
apt-listbugs (0.1.11) unstable; urgency=high

  * fixed "should not migrate into testing until the .utf8 issue is solved"
    by depending on ruby-gettext version 3.0.2 or later (Closes: #725644)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Mon, 07 Oct 2013 23:37:26 +0200

apt-listbugs (0.1.10) unstable; urgency=high

  * bumped Standards-Version to 3.9.4: no changes needed
  * updated VCS-* fields to canonical URIs
  * clarified various online help messages and changed the default list of
    pending-state categories to be shown:
    [pending,forwarded,pending-fixed,fixed,done]
  * improved internationalization
  * dropped the deprecated tempfile in the cron.daily job (replaced by mktemp)
  * improved HTML bug lists (turned into XHTML + external CSS stored in
    /etc/apt/listbugs/bug-list.css)
  * fixed references to GPL in common-licenses so that they point to
    /usr/share/common-licenses/GPL-2
  * fixed a typo in the comment included in the initial version of
    /etc/apt/listbugs/ignore_bugs
  * adopted UTF-8 arrows, when charset is UTF-8
  * adopted standard Ruby library Tempfile for HTML bug lists too, thus
    dropping the ad-hoc HtmlTempfile (security fix, hence urgency=high)
  * improved 10apt-listbugs configuration file (enhanced English in a comment,
    dropped redundant exit 10)
  * fixed "should be able to read hook information through a named pipe"
    (thanks to Serafeim Zanikolas for the initial patch!) and made
    apt-listbugs no longer need to explicitly open /dev/tty, this being
    a better fix for #662983 (Closes: #671728)
  * added a configuration option (AptListbugs::Severities) to set the default
    list of severities the user is interested in
  * fixed "support ruby 1.9", thanks to Antonio Terceiro for packaging
    ruby-soap4r and for providing the initial patch (Closes: #432200)
  * fixed "should show package arch when listing bugs" by reading version
    3 hook information and treating copies of the same package for different
    architectures as distinct packages that may be acted upon independently
    (Closes: #688506)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 04 Oct 2013 23:23:08 +0200

apt-listbugs (0.1.9) unstable; urgency=low

  * dropped Thomas Müller from the Uploaders field, as requested by himself
    (since he lacks the time to properly contribute to apt-listbugs
    maintenance)
  * dropped dependency on libzlib-ruby1.8, which is a virtual package
    provided by libruby1.8 (already listed among dependencies)
  * updated Czech translation, thanks to Miroslav Kure! (Closes: #690176)
  * added Polish translation, thanks to Michał Kułach! (Closes: #690470)
  * added Galician translation, thanks to Jorge Barreiro! (Closes: #690904)
  * updated Japanese translation, thanks to "victory"!

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 09 Nov 2012 19:23:29 +0100

=== debian/control ===
Source: apt-listbugs
Section: admin
Priority: optional
Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/apt-listbugs/apt-listbugs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt-listbugs/apt-listbugs.git
Homepage: http://alioth.debian.org/projects/apt-listbugs/

Package: apt-listbugs
Architecture: all
Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-debian (>= 0.3.3), apt (>= 0.9.11), ruby-gettext (>= 3.0.2), ruby-xmlparser, ruby-httpclient (>= 2.1.5.2-1), ruby-soap4r
Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
Breaks: libapt-pkg4.12 (<< 0.9.11)
Description: tool which lists critical bugs before each apt installation
 apt-listbugs is a tool which retrieves bug reports from the Debian Bug
 Tracking System and lists them. Especially, it is intended to be invoked
 before each upgrade/installation by apt in order to check whether the
 upgrade/installation is safe.
 .
 Many developers and users prefer the unstable version of Debian for its new
 features and packages.  apt, the usual upgrade tool, can break your system by
 installing a buggy package.
 .
 apt-listbugs lists critical bug reports from the Debian Bug Tracking System.
 Run it before apt to see if an upgrade or installation is known to be unsafe.

## apt-listbugs 0.1.14

=== debian/changelog ===
apt-listbugs (0.1.14) unstable; urgency=medium

  * fixed "please don't break apt on failures": when ruby-debian binary
    library fails to load, suggest a possible way to fix things up
    and then exit with error (Closes: #747487)
  * simplified use of dpkg-parsechangelog in various places
  * made the --force-pin option the new fallback mode for all cases
    where standard output is not a tty (this implies that unattended
    installations/upgrades will automatically pin buggy packages!)
  * enhanced internationalization of error and warning messages
  * enhanced error handling (also catch Errno::EBADF in apt mode)
  * added a dependency on ruby-unicode to correctly compute the width
    of asterisk headers and of output to be updated
  * fixed "Please provide a way to stop the querying of bug reports when
    there are a lot of them.": it is now possible to make apt-listbugs
    exit immediately (and successfully) by sending it a SIGUSR1, for
    instance with the command "killall -USR1 apt-listbugs" (Closes: #273565)
  * added a warning about pinning: when /etc/apt/preferences cannot be
    written to, apt-listbugs warns the user, rather than crashing
  * enhanced aptcleanup:
     - added file access error handling for cases where /etc/apt/preferences
       does not exist or is not readable
     - clarified one debug message
     - internationalized non-debug messages
  * improved detection of previous pins when pinning buggy packages
  * fixed "manually ignored bugs should have a comment, too": a comment line
    is now added in a way similar to the line added for automatically ignored
    bugs (Closes: #484423)
  * updated Danish translation, thanks to Joe Dalton! (Closes: #754131)
  * fixed "faster method to select bugs": bugs are now also assigned short
    identifiers of the form "b<id>" (Closes: #532678)
  * re-upgraded the recommendation of ruby-xmlparser to a dependency, since,
    without it, apt-listbugs is really slow when retrieving large numbers of
    bugs
  * improved HTML bug lists (charset is now also declared in a meta http-equiv
    statement, in order to enhance portability of the generated HTML page)
  * fixed "Please support writing APT pinning to /etc/apt/preferences.d/":
    package pins are now stored in /etc/apt/preferences.d/apt-listbugs;
    see the NEWS file, in case you need to downgrade to a previous version
    (Closes: #719988)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sat, 23 Aug 2014 17:45:24 +0200

apt-listbugs (0.1.13) unstable; urgency=medium

  * improved README.Debian formatting
  * documented how to temporarily disable the invocation of apt-listbugs
    in README.Debian
  * added some further considerations to the section about the "affects"
    field in README.Debian
  * fixed a bug in the handling of the user's answer to the question on
    how to proceed (continue or stop the installation, or pin packages,
    and so forth...): a "y" answer is now ignored, when some packages
    have just been pinned
  * improved the man page:
     - clarified what happens with the force options when in apt mode
     - enhanced the explanation of the exit status
     - improved style and clarity of the explanation for IgnoreRegexp
     - enhanced the explanation of APT_HOOK_INFO_FD
     - clarified the explanation of the severity filter option
  * updated gitweb URL in man page and in debian/copyright file
  * fixed another bug in the handling of the user's answer to the question on
    how to proceed: an answer containing the letter "h" or "p" is no longer
    misinterpreted as an "h" or "p" answer
  * refreshed the .pot file for internationalization
     - switched to rxgettext for the .pot file generation
  * enhanced reading of ignore_bugs files: each line is considered a comment,
    if its first nonwhitespace character is '#'; otherwise, the first word
    is considered a package name or bug number to be ignored.
  * downgraded the dependencies on ruby-xmlparser and ruby-httpclient to
    recommendations
  * fixed "auxiliary script send-hook-info.rb fails to work with Ruby 2.0":
    added an explicit file descriptor redirection to the exec call in order
    to adapt to Ruby 2.0 stricter behavior; thanks a lot to Christian
    Hofstaedtler for explaining what was wrong and for pointing me to the
    appropriate documentation! (Closes: #740564)
  * fixed "New feature to automatically pin packages (implementation patch
    supplied)": implemented the --force-pin option, thanks to Famelis George
    for the initial patch, updated by Serafeim Zanikolas (thanks!) and
    further modified by me (Closes: #441689)
  * fixed "make ParseStep configurable": created an APT configuration
    option (Closes: #562499)
  * fixed "should try and be more informative on "invalid date" SOAP
    parsing error" (Closes: #493632) and "Proposed Workaround for
    Apt-listbugs SOAP Failures" (Closes: #524768): on network errors,
    apt-listbugs now proposes to the user to retry one bug report at a
    time and begins showing the bug number currently being parsed.

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Wed, 02 Apr 2014 22:56:47 +0200

apt-listbugs (0.1.12) unstable; urgency=low

  * bumped Standards-Version to 3.9.5: no changes needed
  * fixed "Does not use proxy from Acquire::http::Proxy": dropped the
    require soap/soap in logic.rb, which was erroneously reintroduced
    while implementing support for Ruby 1.9 (Closes: #730822)
  * updated Japanese translation, thanks a lot to "victory"!

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 27 Dec 2013 19:21:26 +0100

=== debian/control ===
Source: apt-listbugs
Section: admin
Priority: optional
Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/apt-listbugs/apt-listbugs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt-listbugs/apt-listbugs.git
Homepage: http://alioth.debian.org/projects/apt-listbugs/

Package: apt-listbugs
Architecture: all
Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-debian (>= 0.3.3), apt (>= 0.9.11), ruby-gettext (>= 3.0.2), ruby-xmlparser, ruby-soap4r, ruby-unicode
Recommends: ruby-httpclient (>= 2.1.5.2-1)
Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
Breaks: libapt-pkg4.12 (<< 0.9.11)
Description: tool which lists critical bugs before each APT installation
 apt-listbugs is a tool which retrieves bug reports from the Debian Bug
 Tracking System and lists them. Especially, it is intended to be invoked
 before each installation/upgrade by APT in order to check whether the
 installation/upgrade is safe.
 .
 Many developers and users prefer the unstable version of Debian for its new
 features and packages.  APT, the usual upgrade tool, can break your system by
 installing a buggy package.
 .
 apt-listbugs lists critical bug reports from the Debian Bug Tracking System.
 Run it from within the APT session, in order to see whether an installation
 or upgrade is known to be unsafe.

## apt-listbugs 0.1.16

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 LINGUAS := $(shell cd po; ls *.po| cut -d'.' -f1)
 MOFILES := $(patsubst %.po,%.mo,$(wildcard po/*.po))
-VERSION := $(shell env LC_ALL=C dpkg-parsechangelog | sed -n 's/^Version: //p')
+VERSION := $(shell dpkg-parsechangelog -SVersion)
+YEAR := $(shell dpkg-parsechangelog -SDate | cut -d ' ' -f 4)
 
 .PHONY: all
 all: apt-listbugs.1 $(MOFILES)
 
 .PHONY: clean
 clean:
-	find -name '*~' | xargs rm -f --
+	find -name '*~' -delete
 	rm -f tests/log/tmp
 	rm -f apt-listbugs.1
 	rm -f $(MOFILES)
@@ -28,15 +29,16 @@
 	  msgfmt --statistics -v -c po/$$po.po -o /dev/null; \
 	done
 
-po/apt-listbugs.pot: apt-listbugs lib/apt-listbugs/logic.rb
-	xgettext --add-comments=TRANSLATORS --no-wrap \
-	         --from-code=UTF-8 \
-	         --copyright-holder="Masato Taruishi et al." \
-	         --package-name=apt-listbugs --package-version=$(VERSION) \
-	         --msgid-bugs-address=$$DEBEMAIL \
-	         --language=python \
-	         apt-listbugs lib/apt-listbugs/logic.rb \
-	         -o po/apt-listbugs.pot
+po/apt-listbugs.pot: apt-listbugs lib/apt-listbugs/logic.rb aptcleanup \
+                     migratepins
+	rxgettext --add-comments=TRANSLATORS --no-wrap \
+	          --copyright-holder="Masato Taruishi et al." \
+	          --copyright-year=2002-$(YEAR) \
+	          --package-name=apt-listbugs --package-version=$(VERSION) \
+	          --msgid-bugs-address=$$DEBEMAIL \
+	          apt-listbugs lib/apt-listbugs/logic.rb aptcleanup \
+		  migratepins \
+	          -o po/apt-listbugs.pot
 
 .PHONY: call-for-translation
 call-for-translation:

=== debian/changelog ===
apt-listbugs (0.1.16) unstable; urgency=medium

  * updated French translation, thanks to Jean-Baka Domelevo Entfellner!
    (Closes: #762089)
  * updated Slovak translation, thanks to Ivan Masár! (Closes: #762181)
  * updated Basque translation, thanks to Iñaki Larrañaga Murgoitio!
    (Closes: #762788)
  * improved Czech translation, thanks to s.r.o. MARVINS!
  * bumped Standards-Version to 3.9.6: no changes needed
  * updated Polish translation, thanks to Tomasz Nitecki!
  * updated Spanish translation, thanks to Jonathan Bustillos! (Closes: #764425)
  * updated Galician translation, thanks to Jorge Barreiro!

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sat, 11 Oct 2014 18:59:26 +0200

apt-listbugs (0.1.15) unstable; urgency=medium

  * updated Swedish translation, thanks to Per Andersson! (Closes: #759396)
  * updated Norwegian Bokmål translation, thanks to Hans Fredrik Nordhaug!
  * updated Danish translation, thanks to Joe Dalton! (Closes: #759773)
  * updated Japanese translation, thanks to "victory"!
  * updated Italian translation, thanks to Luca Monducci! (Closes: #760742)
  * updated Portuguese translation, thanks to Miguel Figueiredo!
    (Closes: #761303)
  * added Turkish translation, thanks to Mert Dirik! (Closes: #761327)
  * updated Czech translation, thanks to Miroslav Kure! (Closes: #761480)
  * updated German translation, thanks to Chris Leick! (Closes: #761689)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Wed, 17 Sep 2014 21:43:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/apt-listbugs/apt-listbugs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt-listbugs/apt-listbugs.git
 Homepage: http://alioth.debian.org/projects/apt-listbugs/

## apt-listbugs 0.1.17

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,10 @@
 
 .PHONY: check
 check:
-	./test_logic.rb
+	./test/test_logic.rb
 
-apt-listbugs.1: apt-listbugs
-	rd2 -r rd/rd2man-lib.rb -o apt-listbugs apt-listbugs
+apt-listbugs.1: bin/apt-listbugs
+	rd2 -r rd/rd2man-lib.rb -o apt-listbugs bin/apt-listbugs
 
 .PHONY: update-po
 update-po: po/apt-listbugs.pot
@@ -29,15 +29,15 @@
 	  msgfmt --statistics -v -c po/$$po.po -o /dev/null; \
 	done
 
-po/apt-listbugs.pot: apt-listbugs lib/apt-listbugs/logic.rb aptcleanup \
-                     migratepins
+po/apt-listbugs.pot: bin/apt-listbugs lib/aptlistbugs/logic.rb \
+                     lib/aptlistbugs/aptcleanup lib/aptlistbugs/migratepins
 	rxgettext --add-comments=TRANSLATORS --no-wrap \
 	          --copyright-holder="Masato Taruishi et al." \
 	          --copyright-year=2002-$(YEAR) \
 	          --package-name=apt-listbugs --package-version=$(VERSION) \
 	          --msgid-bugs-address=$$DEBEMAIL \
-	          apt-listbugs lib/apt-listbugs/logic.rb aptcleanup \
-		  migratepins \
+	          bin/apt-listbugs lib/aptlistbugs/logic.rb \
+	          lib/aptlistbugs/aptcleanup lib/aptlistbugs/migratepins \
 	          -o po/apt-listbugs.pot
 
 .PHONY: call-for-translation

=== debian/changelog ===
apt-listbugs (0.1.17) unstable; urgency=medium

  * fixed "Does not uses proxy from Acquire::http::ProxyAutoDetect":
    implemented support for the Acquire::http::Proxy-Auto-Detect
    APT configuration option (Closes: #726430)
  * improved internationalization
  * reorganized source file tree to be more like a regular Ruby upstream
    package, in order to use gem2deb during binary package build
    (this should make the package more easily and automatically policy
    compliant)
  * updated VCS browser URL to new canonical form in debian/control and
    debian/copyright files, and in man page, as well
  * fixed the man page: updated the example output consistently with
    the presence of the "b<id>" identifiers
  * improved HTML bug lists (strings are now encoded to be valid XML)
  * fixed RSS output (suppressed double encoding of strings)
  * improved and internationalized RSS output
  * suppressed duplicate entries for merged bugs in RSS output and
    HTML bug lists
  * fixed the suppression of empty tag listings for bugs without tags in
    RSS output
  * fixed "please increase default Pin-Priority (to meet the needs of Cupt
    users)": set the default Pin-Priority to 30000 (Closes: #765762)
  * fixed "accepts bug number as package in "p" command": when the user
    tells apt-listbugs to pin a package, the user is asked for confirmation
    whenever none of the bugs that affect the user's package upgrade are
    assigned to the package under consideration (Closes: #791877)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Thu, 30 Jul 2015 22:50:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: admin
 Priority: optional
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 7.0.50), gem2deb (>= 0.12)
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
 Standards-Version: 3.9.6
+XS-Ruby-Versions: all
 Vcs-Git: git://anonscm.debian.org/apt-listbugs/apt-listbugs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt-listbugs/apt-listbugs.git
+Vcs-Browser: http://anonscm.debian.org/cgit/apt-listbugs/apt-listbugs.git/
 Homepage: http://alioth.debian.org/projects/apt-listbugs/
 
 Package: apt-listbugs
 Architecture: all
+XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-debian (>= 0.3.3), apt (>= 0.9.11), ruby-gettext (>= 3.0.2), ruby-xmlparser, ruby-soap4r, ruby-unicode
 Recommends: ruby-httpclient (>= 2.1.5.2-1)
 Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m

## apt-listbugs 0.1.22

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	./test/test_logic.rb
 
 apt-listbugs.1: bin/apt-listbugs
-	rd2 -r rd/rd2man-lib.rb -o apt-listbugs bin/apt-listbugs
+	cd bin/ && rd2 -r rd/rd2man-lib.rb -o ../apt-listbugs apt-listbugs
 
 .PHONY: update-po
 update-po: po/apt-listbugs.pot
@@ -42,7 +42,7 @@
 
 .PHONY: call-for-translation
 call-for-translation:
-	podebconf-report-po --call --withtranslators --gzip \
+	podebconf-report-po --call --withtranslators \
 	                    --conf po/.podebconf-report-po.conf
 
 .PHONY: install

=== debian/changelog ===
apt-listbugs (0.1.22) unstable; urgency=medium

  * fixed "aptlistbugs/logic.rb:439:in `view': undefined method `downcase'
    for nil:NilClass (NoMethodError)": added more robust checks for user
    answers, in order to avoid crashing or misbehaving on [Ctrl+d]
    (Closes: #847801)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 18 Dec 2016 12:25:17 +0100

apt-listbugs (0.1.21) unstable; urgency=medium

  * fixed localization mailing list address in Norwegian translation
  * updated Turkish translation, thanks to Eray Atil and Mert Dirik!
  * updated Czech translation, thanks to Miroslav Kure! (Closes: #844703)
  * updated Spanish translation, thanks to Laura Arjona Reina!
    (Closes: #845652)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 27 Nov 2016 17:27:03 +0100

apt-listbugs (0.1.20) unstable; urgency=medium

  * simplified Makefile (the --gzip option for podebconf-report-po is no
    longer needed: the gzip setting in the configuration file is enough,
    see bug #689254)
  * updated Swedish translation, thanks to Martin Bagge! (Closes: #839829)
  * updated Basque translation, thanks to Iñaki Larrañaga Murgoitio!
    (Closes: #839717)
  * updated Polish translation, thanks to Tomasz Nitecki! (Closes: #839842)
  * updated Galician translation, thanks to Xosé!
  * updated Danish translation, thanks to Joe Hansen! (Closes: #839945)
  * updated Portuguese translation, thanks to Miguel Figueiredo!
    (Closes: #840109)
  * added Brazilian Portuguese translation, thanks to Diego Neves!
    (Closes: #840118)
  * updated Italian translation, thanks to Luca Monducci! (Closes: #840125)
  * updated German translation, thanks to Chris Leick! (Closes: #840472)
  * added Dutch translation, thanks to Frans Spiesschaert! (Closes: #841650)
  * updated French translation, thanks to Jean-Baka Domelevo Entfellner!
    (Closes: #841864)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 28 Oct 2016 19:44:34 +0200

apt-listbugs (0.1.19) unstable; urgency=medium

  * bumped Standards-Version to 3.9.8: no changes needed
  * fixed "add support for autopkgtest": added a first test that runs the
    test suite; thanks to Antonio Terceiro for the patch! (Closes: #831784)
  * improved the man page:
     - made it claim to document apt-listbugs(1), rather than
       bin/apt-listbugs(1)
     - reformatted the whole document, to better comply with man page
       usual conventions
     - added a FILES section
     - added an explanation of the typical use case to the DESCRIPTION
       section
  * moved a couple of options in the online help to reflect the new option
    ordering in the man page

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 25 Sep 2016 18:07:04 +0200

apt-listbugs (0.1.18) unstable; urgency=medium

  * added QueryStep configuration option; on network errors, apt-listbugs
    now proposes to the user to retry one package at a time (as well as
    one bug report at a time)
  * fixed a bug in ParseStep handling: parse bugs in batches of ParseStep
    bug reports, not ParseStep+1
  * updated Polish translation, thanks to Tomasz Nitecki! (Closes: #796176)
  * bumped debhelper compatibility version to 9 and updated corresponding
    versioned dependency on debhelper: no other changes needed
  * updated VCS URLs to new canonical HTTPS form in debian/control and
    debian/copyright files, and in man page, as well
  * fixed "apt-listbugs does not properly handle backports": when determining
    whether a given version of a package includes a given bug, a back-ported
    version is treated as if it were the corresponding official Debian
    package version (Closes: #822265)
  * updated Japanese translation, thanks to "victory"!
  * fixed a crash occurring after displaying the HTML bug lists
  * examples cleanup: dropped listbugs-soap.rb and updated other scripts
  * fixed "implement an option to disable the automatic pin of all the
    buggy packages": implemented the --force-no-pin option (Closes: #828108)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Wed, 13 Jul 2016 22:34:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
-Build-Depends: debhelper (>= 7.0.50), gem2deb (>= 0.12)
+Build-Depends: debhelper (>= 9), gem2deb (>= 0.12)
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 XS-Ruby-Versions: all
-Vcs-Git: git://anonscm.debian.org/apt-listbugs/apt-listbugs.git
-Vcs-Browser: http://anonscm.debian.org/cgit/apt-listbugs/apt-listbugs.git/
+Vcs-Git: https://anonscm.debian.org/git/apt-listbugs/apt-listbugs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/apt-listbugs/apt-listbugs.git/
 Homepage: http://alioth.debian.org/projects/apt-listbugs/
 
 Package: apt-listbugs

## apt-listbugs 0.1.24

=== debian/changelog ===
apt-listbugs (0.1.24) unstable; urgency=medium

  * improved Danish translation, thanks to Joe Hansen and to Morten Bo
    Johansen! (Closes: #856724)
  * fixed "suggests the required debianutils package": dropped the obsolete
    versioned suggestion of debianutils (Closes: #867203)
  * added suggestion of sensible-utils
  * improved the man page and the online help, thanks to the constructive
    criticism by Vincent Lefevre
  * improved internationalization
     - always wrap the output during .pot file generation
     - switched to rmsgmerge for .po file generation
     - always wrap the output during .po file generation
     - added one more note for translators
  * switched to secure URI for the homepage
  * bumped debhelper compatibility version to 11 and updated corresponding
    versioned dependency on debhelper: no other changes needed
  * bumped Standards-Version to 4.1.3: no changes needed

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Thu, 04 Jan 2018 19:10:47 +0100

apt-listbugs (0.1.23) unstable; urgency=medium

  * added Russian translation, thanks to Sergey Alyoshin! (Closes: #851508)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 20 Jan 2017 18:45:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: admin
 Priority: optional
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
-Build-Depends: debhelper (>= 9), gem2deb (>= 0.12)
+Build-Depends: debhelper (>= 11), gem2deb (>= 0.12)
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 XS-Ruby-Versions: all
 Vcs-Git: https://anonscm.debian.org/git/apt-listbugs/apt-listbugs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/apt-listbugs/apt-listbugs.git/
-Homepage: http://alioth.debian.org/projects/apt-listbugs/
+Homepage: https://alioth.debian.org/projects/apt-listbugs/
 
 Package: apt-listbugs
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-debian (>= 0.3.3), apt (>= 0.9.11), ruby-gettext (>= 3.0.2), ruby-xmlparser, ruby-soap4r, ruby-unicode
 Recommends: ruby-httpclient (>= 2.1.5.2-1)
-Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
+Suggests: reportbug, w3m | www-browser, sensible-utils
 Breaks: libapt-pkg4.12 (<< 0.9.11)
 Description: tool which lists critical bugs before each APT installation
  apt-listbugs is a tool which retrieves bug reports from the Debian Bug

## apt-listbugs 0.1.25

=== debian/changelog ===
apt-listbugs (0.1.25) unstable; urgency=medium

  * updated VCS URLs to new salsa.debian.org locations in debian/control and
    debian/copyright files, and in man page, as well
  * updated Homepage field in debian/control to point to the new home on
    salsa.debian.org
  * updated Dutch translation, thanks to Frans Spiesschaert! (Closes: #900588)
  * bumped Standards-Version to 4.2.1: no changes needed
  * enhanced dealing with ignore_bugs files containing characters which cannot
    be represented in the current locale (this is meant to be a fix for
    the old bug #834557)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Thu, 11 Oct 2018 00:37:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper (>= 11), gem2deb (>= 0.12)
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 XS-Ruby-Versions: all
-Vcs-Git: https://anonscm.debian.org/git/apt-listbugs/apt-listbugs.git
-Vcs-Browser: https://anonscm.debian.org/cgit/apt-listbugs/apt-listbugs.git/
-Homepage: https://alioth.debian.org/projects/apt-listbugs/
+Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
+Vcs-Browser: https://salsa.debian.org/frx-guest/apt-listbugs
+Homepage: https://salsa.debian.org/frx-guest/apt-listbugs
 
 Package: apt-listbugs
 Architecture: all

## apt-listbugs 0.1.26

=== debian/changelog ===
apt-listbugs (0.1.26) unstable; urgency=medium

  * fixed "executes xdg-open as root user": implemented a way to drop root
    privileges when invoking querybts or a browser, if we can figure out
    which regular user became root (via "su -", "sudo", ...) and if
    package s6 is installed (Closes: #910122)
  * added xdg-open to the list of possible ways to invoke an appropriate
    web browser
  * enhanced interface consistency regarding external program (querybts
    and web browser) invocation
  * enhanced error handling consistency regarding external program invocation
  * converted README.Debian into README.md (in markdown syntax) and
    improved the document a bit
  * created FAQ.md by taking some parts from README.md
  * updated German translation, thanks to Chris Leick! (Closes: #914703)
  * updated Russian translation, thanks to Sergey Alyoshin! (Closes: #915374)
  * updated Portuguese translation, thanks to Miguel Figueiredo!
    (Closes: #915802)
  * updated Italian translation, thanks to Luca Monducci!
  * updated Dutch translation, thanks to Frans Spiesschaert! (Closes: #916365)
  * updated Danish translation, thanks to Morten Bo Johansen! (Closes: #916384)
  * updated French translation, thanks to Jean-Baka Domelevo Entfellner!
    (Closes: #916509)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 16 Dec 2018 23:25:50 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-debian (>= 0.3.3), apt (>= 0.9.11), ruby-gettext (>= 3.0.2), ruby-xmlparser, ruby-soap4r, ruby-unicode
-Recommends: ruby-httpclient (>= 2.1.5.2-1)
-Suggests: reportbug, w3m | www-browser, sensible-utils
+Recommends: ruby-httpclient (>= 2.1.5.2-1), s6
+Suggests: reportbug, w3m | www-browser, sensible-utils, xdg-utils
 Breaks: libapt-pkg4.12 (<< 0.9.11)
 Description: tool which lists critical bugs before each APT installation
  apt-listbugs is a tool which retrieves bug reports from the Debian Bug

## apt-listbugs 0.1.27

=== debian/changelog ===
apt-listbugs (0.1.27) unstable; urgency=medium

  * fixed "New error message /etc/cron.daily/apt-listbugs: logname: no
    login name": enhanced logic to better cope with cases where logname
    (or whoami) is not able to determine the user login (or effective)
    name (Closes: #917059)
  * bumped Standards-Version to 4.3.0: no changes needed
  * updated Spanish translation, thanks to Jonatan Porras!
  * updated Swedish translation, thanks to Martin Bagge! (Closes: #918001)
  * bumped debhelper compatibility version to 12 by using the new method
    based on versioned build-dependency on debhelper-compat: no other
    changes needed
  * updated Norwegian Bokmål translation, thanks to Hans Fredrik Nordhaug!

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sat, 12 Jan 2019 21:53:30 +0100

## apt-listbugs 0.1.28

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 .PHONY: update-po
 update-po: po/apt-listbugs.pot
 	for po in $(LINGUAS); do \
-	  msgmerge --no-wrap -U po/$$po.po po/apt-listbugs.pot; \
+	  rmsgmerge --wrap -U po/$$po.po po/apt-listbugs.pot; \
 	done
 	for po in $(LINGUAS); do \
 	  msgfmt --statistics -v -c po/$$po.po -o /dev/null; \
@@ -31,7 +31,7 @@
 
 po/apt-listbugs.pot: bin/apt-listbugs lib/aptlistbugs/logic.rb \
                      lib/aptlistbugs/aptcleanup lib/aptlistbugs/migratepins
-	rxgettext --add-comments=TRANSLATORS --no-wrap \
+	rxgettext --add-comments=TRANSLATORS --wrap \
 	          --copyright-holder="Masato Taruishi et al." \
 	          --copyright-year=2002-$(YEAR) \
 	          --package-name=apt-listbugs --package-version=$(VERSION) \

=== debian/changelog ===
apt-listbugs (0.1.28) unstable; urgency=medium

  * updated Japanese translation, thanks to "victory"!

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 03 Feb 2019 12:44:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
-Build-Depends: debhelper (>= 11), gem2deb (>= 0.12)
+Build-Depends: debhelper-compat (= 12), gem2deb (>= 0.12)
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 XS-Ruby-Versions: all
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
 Vcs-Browser: https://salsa.debian.org/frx-guest/apt-listbugs

=== debian/rules ===
#!/usr/bin/make -f

# export DH_RUBY_IGNORE_TESTS=ruby2.2

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_fixperms:
	dh_fixperms -O--buildsystem=ruby
	chmod 755 debian/apt-listbugs/usr/lib/ruby/vendor_ruby/aptlistbugs/aptcleanup
	chmod 755 debian/apt-listbugs/usr/lib/ruby/vendor_ruby/aptlistbugs/migratepins

## apt-listbugs 0.1.28+nmu1

=== debian/changelog ===
apt-listbugs (0.1.28+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:18:46 +0800

## apt-listbugs 0.1.31

=== debian/changelog ===
apt-listbugs (0.1.31) unstable; urgency=medium

  * modified all references to /usr/sbin/apt-listbugs into references to
    /usr/bin/apt-listbugs (the former is just a symlink to the latter,
    installed for backward compatibility: hence invoking the symlink should
    be deprecated)
  * enhanced robustness of the postrm script (when purging, remove directory
    /etc/apt/listbugs/, along with all its content, if any)
  * dropped directory /var/cache/apt-listbugs/, which has been useless
    for a long time (since at least Debian 6 "squeeze")
  * bumped Standards-Version to 4.4.1: no changes needed
  * added Rules-Requires-Root field to debian/control
  * updated Dutch translation, thanks to Frans Spiesschaert! (Closes: #945357)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 08 Dec 2019 17:47:22 +0100

apt-listbugs (0.1.30) unstable; urgency=medium

  * updated copyright years in debian/copyright file
  * added a check in the cron.daily job, so that it does not attempt to
    exec a file which is not executable (or not even existent)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 19 Jul 2019 21:19:01 +0200

apt-listbugs (0.1.29) unstable; urgency=medium

  * updated Czech translation, thanks to Miroslav Kure! (Closes: #926407)
  * added a systemd .timer unit equivalent to the cron.daily job
  * bumped Standards-Version to 4.4.0: no changes needed

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 14 Jul 2019 19:42:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper-compat (= 12), gem2deb (>= 0.12)
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 XS-Ruby-Versions: all
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
 Vcs-Browser: https://salsa.debian.org/frx-guest/apt-listbugs

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,4 @@
 	dh_fixperms -O--buildsystem=ruby
 	chmod 755 debian/apt-listbugs/usr/lib/ruby/vendor_ruby/aptlistbugs/aptcleanup
 	chmod 755 debian/apt-listbugs/usr/lib/ruby/vendor_ruby/aptlistbugs/migratepins
+	chmod 755 debian/apt-listbugs/usr/lib/ruby/vendor_ruby/aptlistbugs/prefclean
